<?php
/**
 * 运行PHP
 * @作者 qinggan <admin@phpok.com>
 * @版权 深圳市锟铻科技有限公司
 * @主页 http://www.phpok.com
 * @版本 5.x
 * @授权 http://www.phpok.com/lgpl.html 开源授权协议：GNU Lesser General Public License
 * @时间 2020年10月10日
**/

//管理员增加open_id为后续做准备
$flist = $this->db->list_fields('fields');
if($flist && !in_array('onlyone',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."fields ADD onlyone TINYINT(1) UNSIGNED NOT NULL DEFAULT '0' COMMENT '唯一性检测，为1值时检测字段在当前项目是否唯一'";
	$this->db->query($sql);
}

//安装全球国家
$sql = "SELECT * FROM ".$this->db->prefix."sysmenu WHERE appfile='world_location'";
$tmp = $this->db->get_one($sql);
if($tmp){
	$sql = "UPDATE ".$this->db->prefix."sysmenu SET appfile='worlds',icon='' WHERE id='".$tmp['id']."'";
	$this->db->query($sql);
}

$tblist = $this->db->list_tables();
phpok_log($tblist,false);
if($tblist && !in_array($this->db->prefix."world_price",$tblist)){
	$sql = "CREATE TABLE IF NOT EXISTS ".$this->db->prefix."world_price (`id` int(10) UNSIGNED NOT NULL COMMENT '自增ID',`region_id` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '国家ID（地区ID）',`tid` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '产品ID',`price` decimal(15,4) NOT NULL DEFAULT '0.0000' COMMENT '价格',`vtype` varchar(10) NOT NULL COMMENT '类型，price价格，freight运费，excise消费税，tariff关税') ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='针对不同国家实现不同的价格'";
	$this->db->query($sql);
	$sql = "ALTER TABLE ".$this->db->prefix."world_price ADD PRIMARY KEY (`id`),ADD KEY `region_id` (`region_id`,`tid`,`vtype`) USING BTREE";
	$this->db->query($sql);
	$sql = "ALTER TABLE ".$this->db->prefix."world_price MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID'";
	$this->db->query($sql);
}


//删除world_location的应用，升级为worlds
$this->lib('file')->rm($this->dir_app.'world_location','folder');

$this->cache->clear();